Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Python
import requests url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets" files = { "file": ("example-file", open("example-file", "rb")) } payload = { "name": "<string>" } headers = {"Authorization": "Bearer <token>"} response = requests.post(url, data=payload, files=files, headers=headers) print(response.text)
const form = new FormData(); form.append('name', '<string>'); form.append('file', '<string>'); const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}}; options.body = form; fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl --request POST \ --url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/audio-assets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form 'name=<string>' \ --form file='@example-file'
{ "id": "<string>", "org_id": "<string>", "project_id": "<string>", "kind": "<string>", "name": "<string>", "storage_bucket": "<string>", "storage_path": "<string>", "created_at": "<string>", "updated_at": "<string>", "sample_rate": 123, "duration_ms": 123, "content_type": "audio/wav", "size_bytes": 123, "is_preset": false, "archived_at": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Project API key (sk-kupe-...) or a Supabase user JWT.
sk-kupe-...
Successful Response